Bug 1477678 - The internal DHCP client of NetworkManager doesn't work on IPoIB interfaces
The internal DHCP client of NetworkManager doesn't work on IPoIB interfaces
Status: ON_QA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager (Show other bugs)
7.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Beniamino Galvani
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-02 11:35 EDT by Beniamino Galvani
Modified: 2017-10-27 08:11 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Beniamino Galvani 2017-08-02 11:35:56 EDT
Description of problem:

When changing the DHCP client from the default (dhclient) to the internal one, NetworkManager fails to obtain an address through DHCP on IPoIB interfaces.

Version-Release number of selected component (if applicable):
NetworkManager-1.8.0-9

How reproducible:
Always

Steps to Reproduce:
1. set "dhcp=internal" in the [main] section of /etc/NetworkManager/NetworkManager.conf
2. restart NetworkManager
3. try to activate a DHCP connection on IPoIB

Actual results:
Timeout

Expected results:
DHCP succeeds

Additional info:
The same bug is present in RHEL 7.3.
The default DHCP client (dhclient) is not affected.
Comment 2 Beniamino Galvani 2017-08-09 11:16:55 EDT
Fixed by systemd commit:

https://github.com/systemd/systemd/commit/b1f24b75af135fe8efba9c7264447985e2843511

Pushed a new bg/systemd branch that imports systemd code, please review.
Comment 3 Francesco Giudici 2017-08-09 11:42:13 EDT
lgtm

Note You need to log in before you can comment on or make changes to this bug.